Skip to content

Accept the terms and the data processing agreement as the workspace's owner

POST
/api/v1/t/{tenant}/terms-acceptance
curl --request POST \
--url https://example.com/api/v1/t/example/terms-acceptance \
--header 'Content-Type: application/json' \
--data '{ "acceptTerms": true }'
tenant
required
string

Tenant slug

Media typeapplication/json
object
acceptTerms
required
boolean
Examplegenerated
{
"acceptTerms": true
}

No Content

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}